%global momorel 38
%define MITAKE 0

Name:    wdm
Version: 1.20
Release: %{momorel}m
License: GPL
URL: http://voins.program.ru/wdm/
Source0: http://voins.program.ru/wdm/%{name}-%{version}.tar.gz
NoSource: 0
Source4:  wdm-dm_h.patch
Source5:  wdm-verify_c.patch
Source10:  momoBg.png
Source11:  momoLogo.png
Patch4:   wdm-momonga-logo.patch
Patch5:   wdm-1.19-exitlogin.patch
Patch6:   wdm-noxconsole.patch
Patch7:   wdm-1.20-kondara.patch
Patch8:   wdm-1.20-kondara-lang.patch
Patch9:   wdm-1.20-pamd.patch
Patch10:  wdm-mitake.patch
Patch11:  wdm-1.20-WM0651.patch
Patch12:  wdm-1.20-xdmcp.patch
Group:    User Interface/X
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: automake >= 1.5-8k
BuildPreReq: WindowMaker >= 0.70.0-14k , libpng-devel >= 1.2.0
BuildPreReq: pam-devel
Summary: WINGs Display Manager
Requires: XFree86 >= 3.3.2, xinitrc >= 2.4.6-1k5
Requires: WindowMaker >= 0.70.0-14k, libPropList
Requires: usermode
PreReq: WindowMaker

%description
wdm combines the functions of a graphical display manager identifying and
authenticating a user on a system with some of the functions of a
session manager in selecting and starting a window manager.  Optionally,
wdm can shutdwn (rebott or halt) the system.

%prep
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%setup -q

%patch4 -p1 -b .momologo
%patch5 -p1 -b .exit
%patch6 -p1 -b .noxconsole
%patch7 -p1 -b .kondara
%patch8 -p1 -b .lang
%patch9 -p1 -b .pam
%if %MITAKE
%patch10 -p1 -b .MTK
%endif
%patch11 -p1 -b .wm0651
%patch12 -p1 -b .xdmcp

cp %{SOURCE4} %{SOURCE5} ${RPM_BUILD_DIR}/wdm-%{version}/patches/

%build
automake-old --gnu --include-deps src/Makefile
CFLAGS="%{optflags}" ./configure \
	    --enable-pam \
	    --prefix=/usr/X11R6 \
	    --with-wdmdir=/etc/X11/wdm 
make

%install
mkdir -p %{buildroot}
make DESTDIR=%{buildroot}  install
chmod 600 %{buildroot}/etc/X11/wdm/wdm-config.in
install -m 700 -d %{buildroot}/etc/X11/wdm/authdir/authdir/authfiles
rm %{buildroot}/etc/X11/wdm/Xsession*
rm %{buildroot}/etc/X11/wdm/Xclients*
rm %{buildroot}/etc/X11/wdm/wdmReconfig
strip %{buildroot}/usr/X11R6/bin/wdm
strip %{buildroot}/usr/X11R6/bin/wdmLogin
cp %{SOURCE10} %{SOURCE11} %{buildroot}/etc/X11/wdm/pixmaps

%preun
if [ $1 = 0 ] ; then
   # delete authfiles before uninstallation
   rm -rf /etc/X11/wdm/authdir/authdir/authfiles/*
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README README.pam TODO
/etc/pam.d/wdm
/etc/X11/wdm
/usr/X11R6/bin/wdm
/usr/X11R6/bin/wdmLogin
/usr/X11R6/man/man1/*

%changelog
* Sun Mar 28 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.20-38m)
- modified Require: usermode

* Wed Mar  5 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.20-37m)
- change URL
- change Source0 URI

* Wed Jul 3 2002 kourin <kourin@momonga-linux.org>
- (1.20-36m)
- addBuildPreReq: pam-devel

* Fri Jun 29 2002 Toru Hoshina <toruhosh@earthlink.net>
- (1.20-35m)
- applied momonga theme.

* Thu Jun  6 2002 Shingo Akagaki <dora@kondara.org>
- (1.20-34k)
- remove logo

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (1.20-32k)
- rebuild against libpng 1.2.2.

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (1.20-30k)
- xdmcp...

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (1.20-28k)                      
- add BuildPreReq: automake >= 1.5-8k

* Wed Jan 15 2002 Shingo Akagaki <dora@kondara.org>
- (1.20-26k)
- automake 1.5

* Tue Jan 15 2002 Shingo Akagaki <dora@kondara.org>
- (1.20-24k)
- require usermode, usermode-x11 ( for shutdown)

* Tue Jan 15 2002 Shingo Akagaki <dora@kondara.org>
- (1.20-24k)
- require usermode, usermode-x11 ( for shutdown)

* Mon Dec 31 2001 Toru Hoshina <t@kondara.org>
- (1.20-22k)
- revised spec file. See. [Kondara-devel.ja:06087]

* Sat Dec  8 2001 Toru Hoshina <t@kondara.org>
- (1.20-20k)
- rebuild against WindowMaker 0.70.1-14k. It's necessary.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (1.20-18k)
- do not use wsetfont.

* Sun Oct 14 2001 Toru Hoshina <t@kondara.org>
- (1.20-16k)
- rebuild against libpng 1.2.0.

* Sun Sep  9 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (1.20-14k)
- add PreReq: WindowMaker tag

* Sun Aug 26 2001 Toru Hoshina <t@kondara.org>
- (1.20-12k)
- rebuild against Window Maker 0.65.1.

* Thu Aug 16 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (1.20-10k)
  add MITAKE support
  add URL Tag
  change Source0 URI

* Wed Jul 11 2001 Motonobu Ichimura <famao@kondara.org>
- (1.20-8k)
- fix pam.d

* Mon Jun  4 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (1.20-6k)
  change logo and background.

* Wed Apr 18 2001 Akira Higuchi <a@kondara.org>
- (1.20-5k)
- extended the size of languages list

* Mon Jul 10 2000 Shingo Akagaki <dora@kondara.org>
- rebuild against libpng-1.0.7

* Mon Jun 26 2000 Toru Hoshina <t@kondara.org>
- adjusted for Patch 2.5.4.

* Sun Jun 25 2000 Toru Hoshina <t@kondara.org>
- version up.

* Tue Feb 15 2000 Akira Higuchi <a@kondara.org>
- don't die even if long name/passwd is given

* Thu Nov 25 1999 Akira Higuchi <a@kondara.org>
- use /etc/X11/xinit/Xsession instead of /etc/X11/wdm/Xsession

* Thu Nov 25 1999 Norihito Ohmori <nono@kondara.org>
- rm linking to /etc/X11/prefdm

* Sat Nov 20 1999 Shingo Akagaki <dora@kondara.org>
  - use xinitrc package version Xclietns
  - use kondara-logos package

* Sat Nov 20 1999 Akira Higuchi <a@kondara.org>
  - added "Lang" and "Input Method" option menus
  - reads various settings from /etc/* at runtime

* Tue Nov 09 1999 Motonobu Ichimura <famao@kondara.org>
  - many many changes added :-)

* Sun Oct 24 1999 Motonobu Ichimura <famao@kondara.org>
  - replace logo for Kondara, thanks for Vine & DF designer :-)

* Mon Oct  4 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 1.19-1vl3
  - /etc/X11/wdm/Xclients.in modified to set $CANNAHOST correctly

* Fri Oct  1 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 1.19-1vl2
  - added a patch to work ExitLogin function correctly
    in a case wdm is executed from /etc/inittab (esp. run level 5)

* Tue Sep 28 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 1.19-1vl1
  - in sync with 1.19 release
  - number of patches completely reproduced to a new ones
  - ~/.xwm.msgs now stores which Japanese input method is selected

* Fri Sep 17 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 1.0-3vl9
  - modified %preun section for the problem
    when /etc/X11/prefdm.orig does not exist
  - added a path to /usr/kde/bin for finding startkde
  - changed the way how Japanese ime are called in the Xclients file
    (in sync with /etc/X11/xinit/Xclients from Vine 1.9)

* Wed Sep  8 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 1.0-3vl8
  - cleaned up this spec file again
  - added a wrapper for wdm
    (/root/GNUstep is now created from this wrapper)

* Sat Sep  4 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 1.0-3vl7
  - Enlightenment & qvwm entries added
  - now wdmReconfig script runs automatically before login panel appears

* Fri Sep  3 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 1.0-3vl6
  - GNOME entry added
  - create /root/GNUstep in the %post secion
    (/root/GNUstep is needed to run wdm)
    the script is taken from RunWM script and modified
  - create ~/.wm_style if it doesn't exist in the invocation process
    (defaults to WindowMaker)
  - added patch for newer automake (AM_PROG_INSTALL -> AC_PROG_INSTALL)
  - added patch for problem building with WindowMaker >= 0.60

* Sun Jul  4 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 1.0-3vl5
  - yet another nifty modifications in Xclients.in and Xsession.in files,
    namely where the .Xresource and .Xdefaults are loaded

* Fri Jul  2 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 1.0-3vl4
  - another nifty modification in Xclients.in file,
    namely where the kinput2 is executed

* Wed Jun 23 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 1.0-3vl3
  - spec file typo fix

* Tue Jun 22 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 1.0-3vl2
  - patch to fix duplicated $PATH variable
  - added Japanese summary and description

* Tue Jun  8 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 1.0-3vl1
  - first package tailored for Vine Linux (http://vine.flatout.org)
  - patch to fix error during ./configure in some environment.
    Thanks Mr. Takeshi Imai (takeshi@svgw.rd.casio.co.jp) !
  - added .xpm logo file for Vine Linux
  - some nifty modifications in wdmReconfig.in and Xclients.in files
    especially for Vine Linux

* Thu Nov 19 1998 Gene Czarcinski
  - patch to fix error mesage output change in wm 0.20.2

* Sat Nov 14 1998 Gene Czarcinski
  - rebuild under RedHat 5.2

* Wed Nov 11 1998 Gene Czarcinski <genec@mindspring.com>
  - minor change: remove requires for libPropList and WindowMaker ...
    currently "*.a" libs are used and do not require these at runtime, only
    build time.

* Sat Sep 13 1998 Gene Czarcinski <genec@mindspring.com>
  - create wdm 1.0
  - includes running wdmReconfig as postinstall process

